Subject: bug#35484: GDM failing to start stumpwm after merge

From: Ludovic Courtès <[email-masked]>
Date: Mon, 29 Apr 2019 23:49:47 +0200

Hi Tim,

Timothy Sample <[email-masked]> skribis:

> I can think of two options for a fix before 1.0 (which is supposed to be
> tomorrow!).  The cute one is to just rename “Fail” to “~Fail”, on the
> expectation that this will come after most other names when sorted.  The
> ugly one is to patch GDM to exclude the placeholder file when looking
> for “.desktop” files, and then to select it instead of raising an error
> when it can’t find anything.
>
> My preference is for the ugly one, because the cute one feels like
> putting a silly hack on top of silly hack – it’s just a bit too much.
> I’ve attached a patch.  Thoughts?  (If I don’t hear anything, I will
> push it – it’s important that this works for 1.0).

I don’t have an opinion as I didn’t follow this closely.

Could you make sure the fix works with the DEs and WMs that the
installer proposes (see (gnu installer services))?

If it does, could you push it also to the ‘version-1.0.0’ branch?

Thank you for looking into this!

Ludo’.